import { UMB_IS_TRASHED_ENTITY_CONTEXT } from '../../constants.js';
import { UmbConditionBase } from '../../../extension-registry/index.js';
export class UmbEntityIsTrashedCondition extends UmbConditionBase {
    constructor(host, args) {
        super(host, args);
        this.consumeContext(UMB_IS_TRASHED_ENTITY_CONTEXT, (context) => {
            this.observe(context?.isTrashed, (isTrashed) => {
                this.permitted = isTrashed === true;
            });
        });
    }
}
export { UmbEntityIsTrashedCondition as api };
